# TODO: use gtk4-update-icon-cache
Summary:	Calendar application for GNOME
Summary(pl.UTF-8):	Aplikacja kalendarza dla GNOME
Name:		gnome-calendar
Version:	45.1
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-calendar/45/%{name}-%{version}.tar.xz
# Source0-md5:	a87395a402e9a05cdfbd979f94b1173a
Patch0:		%{name}-no-update.patch
URL:		https://wiki.gnome.org/Apps/Calendar
# libedataserverui4-1.0, libedataserver-1.2, libecal-2.0
BuildRequires:	evolution-data-server-devel >= 3.45.1
BuildRequires:	evolution-data-server-gtk4-devel >= 3.45.1
BuildRequires:	geoclue2-devel >= 2.4
BuildRequires:	geocode-glib2-devel >= 3.26.3
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.67.5
BuildRequires:	gsettings-desktop-schemas-devel >= 3.22.0
BuildRequires:	gtk4-devel >= 4.11.2
BuildRequires:	libadwaita-devel >= 1.4
BuildRequires:	libgweather4-devel >= 4.0
BuildRequires:	libical-devel >= 1.0.1
BuildRequires:	libsoup3-devel >= 3.0
BuildRequires:	meson >= 0.58.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.67.5
Requires:	evolution-data-server >= 3.45.1
Requires:	evolution-data-server-gtk4-libs >= 3.45.1
Requires:	geoclue2 >= 2.4
Requires:	geocode-glib2 >= 3.26.3
Requires:	glib2 >= 1:2.67.5
Requires:	gsettings-desktop-schemas >= 3.22.0
Requires:	gtk4 >= 4.11.2
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.4
Requires:	libgweather4 >= 4.0
Requires:	libical >= 1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Calendar is a simple and beautiful calendar application designed
to perfectly fit the GNOME desktop. By reusing the components which
the GNOME desktop is build on, Calendar nicely integrates with the
GNOME ecosystem.

%description -l pl.UTF-8
GNOME Calendar to prosta i ładna aplikacja kalendarza zaprojektowana
tak, aby idealnie pasowała do środowiska GNOME. Poprzez używanie tych
samych komponentów, z których zbudowane jest środowisko, Calendar
ładnie integruje się z ekosystemem GNOME.

%prep
%setup -q
%patch0 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md THANKS.md TODO.md
%attr(755,root,root) %{_bindir}/gnome-calendar
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini
%{_datadir}/metainfo/org.gnome.Calendar.appdata.xml
%{_desktopdir}/org.gnome.Calendar.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Calendar.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Calendar.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Calendar-symbolic.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Calendar.Devel-symbolic.svg
%changelog
* Fri Dec 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-calendar.git;a=log;h=master

* Fri Dec 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 303d465
- updated to 45.1

* Wed Jul 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 53e51ea
- updated to 44.1

* Sun May 21 2023 Jakub Bogusz <qboosh@pld-linux.org> b05ad2f
- updated to 43.1; libsoup3/geocode-glib2 based now

* Wed Jun 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 453521a
- updated to 42.2

* Wed Apr 27 2022 Jakub Bogusz <qboosh@pld-linux.org> a6b96d1
- updated to 42.1

* Thu Apr 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 4b3877c
- updated to 42.0
- added no-update patch (don't require gtk4-update-icon-cache at build time)

* Wed Dec 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 06647fb
- updated to 41.2

* Sat Nov 06 2021 Jakub Bogusz <qboosh@pld-linux.org> f7fdba4
- updated to 41.1

* Sat Sep 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 43e9e75
- updated to 41.0

* Mon Jun 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 008f51c
- updated to 40.2

* Wed May 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 78d4482
- updated to 40.1

* Thu Apr 01 2021 Jakub Bogusz <qboosh@pld-linux.org> 0c8405a
- updated to 40.0

* Fri Dec 18 2020 Jakub Bogusz <qboosh@pld-linux.org> a2ccfc9
- updated to 3.38.2

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 58dd2bf
- updated to 3.38.1

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 5ac5f2e
- updated to 3.38.0

* Thu Jun 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 5af9803
- updated to 3.36.2

* Wed Apr 29 2020 Jakub Bogusz <qboosh@pld-linux.org> b28b723
- updated to 3.36.1

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 305d083
- updated to 3.34.2

* Sat May 11 2019 Jan Rękorajski <baggins@pld-linux.org> 033fcab
- up to 3.32.2

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> 4d4f7aa
- release 2 (by relup.sh)

